﻿using CallCenter.Calls;
using XF.Domain.Cache;
using XF.Domain.Dependency;

namespace CallCenter.Caches
{
    public class CallCacheManager : ICallCacheManager, IScopeDependency
    {
        private readonly ITypedCache<string> _cacheCall;

        public CallCacheManager(ITypedCache<string> cacheCall)
        {
            _cacheCall = cacheCall;
        }

        public void AddCallCache(Call call)
        {
            _cacheCall.Set(call.Id, call.FromNo);
        }

        public List<string> GetCallQueueList()
        {
            var list = _cacheCall.GetListByPrefix().ToList();
            return list==null ? new List<string>() : list;
        }

        public void RemoveCallCache(string id)
        {
            _cacheCall.Remove(id);
        }
    }
}
